de.caff.generics.function

## Interface ShortOperator2

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface ShortOperator2

  Binary operator with two short arguments and a short result.
  Since:
    October 31, 2019
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ShortOperator2` | `DIV` DIVISION (`/`) operator.
    `static ShortOperator2` | `MINUS` MINUS (`-`) operator.
    `static ShortOperator2` | `MOD` MODULO (`%`) operator.
    `static ShortOperator2` | `MULT` MULTIPLICATION (`*`) operator.
    `static ShortOperator2` | `PLUS` PLUS (`+`) operator.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default ShortOperator2` | `andThen(ShortOperator1 after)` Create a function which applies this function and feeds the result into the next function.
    `short` | `applyAsShort(short arg1, short arg2)` Apply the function.
    `default ShortOperator1` | `partialLeft(short argument)` Get a partially applied function.
    `default ShortOperator1` | `partialRight(short argument)` Get a partially applied function.

- - ### Field Detail

    - #### PLUS

          static final ShortOperator2 PLUS

      PLUS (`+`) operator. In difference to the standard PLUS this operator returns a `short` result.

    - #### MINUS

          static final ShortOperator2 MINUS

      MINUS (`-`) operator. In difference to the standard MINUS this operator returns a `short` result.

    - #### MULT

          static final ShortOperator2 MULT

      MULTIPLICATION (`*`) operator. In difference to the standard MULTIPLICATION this operator returns a `short` result.

    - #### DIV

          static final ShortOperator2 DIV

      DIVISION (`/`) operator. In difference to the standard DIVISION this operator returns a `short` result.

    - #### MOD

          static final ShortOperator2 MOD

      MODULO (`%`) operator. In difference to the standard MOULO this operator returns a `short` result.

  - ### Method Detail

    - #### applyAsShort

          short applyAsShort(short arg1,
                             short arg2)

      Apply the function.
      Parameters:
        `arg1` - first argument
        `arg2` - second argument
      Returns:
        result of the function

    - #### partialLeft

          @NotNull
          default ShortOperator1 partialLeft(short argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for first argument
      Returns:
        partially evaluated function

    - #### partialRight

          @NotNull
          default ShortOperator1 partialRight(short argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for second argument
      Returns:
        partially evaluated function

    - #### andThen

          @NotNull
          default ShortOperator2 andThen(@NotNull
                                                  ShortOperator1 after)

      Create a function which applies this function and feeds the result into the next function.
      Parameters:
        `after` - function called with the result of this function
      Returns:
        chained function